[ubuntu/maverick] boost1.42 1.42.0-3ubuntu1 (Accepted)

Scott Kitterman scott at kitterman.com
Fri May 7 13:15:24 BST 2010


boost1.42 (1.42.0-3ubuntu1) maverick; urgency=low

  * Merge from Debian Unstable (based on boost1.40).  Ubuntu changes:
    - Detect gcc atomic intrinsics, needed for arm spinlock (LP: 513721)
    - Drop libboost-mpi, libboost-mip-python, and libboost-graph-parallel (and
      related -dev packages): nothing uses thess, and we don't want to pull all
      of the mpi packages into main.
    - Adjust debian/rules and debian/control

boost1.42 (1.42.0-3) unstable; urgency=low

  * rules: Add test_exec_monitor.  Closes: #539350.  (Previous upload was
    broken.)

boost1.42 (1.42.0-2) unstable; urgency=low

  * rules: Add test_exec_monitor.  Closes: #539350.

boost1.42 (1.42.0-1) unstable; urgency=low

  * New upstream.
    - documentation-files: Update.

  * patches/boost-test-invalid-read.patch: Remove.  Alternate fix applied
    upstream.

  * patches/boost/iostreams/device/mapped_file-header-guard.patch:
  * patches/boost-graph-printf.patch: Remove.  Applied upstream.

boost1.41 (1.41.0-3) unstable; urgency=low

  * patches/date_time_date_formatting_hpp.patch: Change
    std::locale::locale() to std::locale().  Closes: #564860.

boost1.41 (1.41.0-2) unstable; urgency=low

  * patches/boost-graph-printf.patch: New.  Include stdio.h, to define
    fprintf() and stderr.

  * patches/kfreebsd-thread.patch: New (thanks, Petr Salinger).  Fix
    checks for __GLIBC__ source so that it builds on GNU/kFreeBSD.

boost1.41 (1.41.0-1) unstable; urgency=low

  * New upstream.  Closes: #563108.

  * patches/boost-build-pythonid.patch:
  * rules: Switch --pythonid to --xpythonid;
    c.f. https://svn.boost.org/trac/boost/ticket/3814

  * Merge changes from 1.40.0-5:
    - Switch to source format "3.0 (quilt)".
    - Remove hard-coding of python versions.

  * rules: Provide a constant reference to latest documentation.
    Closes: #548270.

  * control: Package libboost-mpi-python1.41 conflicts with
    libboost-mpi-python1.40, since both provide
    /usr/lib/pyshared/python2.5/boost/mpi.so.

  * patches/mapped_file-header-guard.patch: New.  Add missing header guard
    (thanks, Sven Geggus).

Date: Thu, 06 May 2010 22:54:04 -0400
Changed-By: Scott Kitterman <scott at kitterman.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Signed-By: Scott Kitterman <ubuntu at kitterman.com>
https://edge.launchpad.net/ubuntu/maverick/+source/boost1.42/1.42.0-3ubuntu1
-------------- next part --------------
Format: 1.8
Date: Thu, 06 May 2010 22:54:04 -0400
Source: boost1.42
Binary: libboost1.42-dbg libboost1.42-dev libboost1.42-all-dev libboost1.42-doc libboost-date-time1.42.0 libboost-date-time1.42-dev libboost-filesystem1.42.0 libboost-filesystem1.42-dev libboost-graph1.42.0 libboost-graph1.42-dev libboost-iostreams1.42.0 libboost-iostreams1.42-dev libboost-math1.42.0 libboost-math1.42-dev libboost-program-options1.42.0 libboost-program-options1.42-dev libboost-python1.42.0 libboost-python1.42-dev libboost-regex1.42.0 libboost-regex1.42-dev libboost-serialization1.42.0 libboost-serialization1.42-dev libboost-signals1.42.0 libboost-signals1.42-dev libboost-system1.42.0 libboost-system1.42-dev libboost-test1.42.0 libboost-test1.42-dev libboost-thread1.42.0 libboost-thread1.42-dev libboost-wave1.42.0 libboost-wave1.42-dev
Architecture: source
Version: 1.42.0-3ubuntu1
Distribution: maverick
Urgency: low
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Scott Kitterman <scott at kitterman.com>
Description: 
 libboost-date-time1.42-dev - set of date-time libraries based on generic programming concepts
 libboost-date-time1.42.0 - set of date-time libraries based on generic programming concepts
 libboost-filesystem1.42-dev - filesystem operations (portable paths, iteration over directories
 libboost-filesystem1.42.0 - filesystem operations (portable paths, iteration over directories
 libboost-graph1.42-dev - generic graph components and algorithms in C++
 libboost-graph1.42.0 - generic graph components and algorithms in C++
 libboost-iostreams1.42-dev - Boost.Iostreams Library development files
 libboost-iostreams1.42.0 - Boost.Iostreams Library
 libboost-math1.42-dev - Boost.Math Library development files
 libboost-math1.42.0 - Boost.Math Library
 libboost-program-options1.42-dev - program options library for C++
 libboost-program-options1.42.0 - program options library for C++
 libboost-python1.42-dev - Boost.Python Library development files
 libboost-python1.42.0 - Boost.Python Library
 libboost-regex1.42-dev - regular expression library for C++
 libboost-regex1.42.0 - regular expression library for C++
 libboost-serialization1.42-dev - serialization library for C++
 libboost-serialization1.42.0 - serialization library for C++
 libboost-signals1.42-dev - managed signals and slots library for C++
 libboost-signals1.42.0 - managed signals and slots library for C++
 libboost-system1.42-dev - Operating system (e.g. diagnostics support) library
 libboost-system1.42.0 - Operating system (e.g. diagnostics support) library
 libboost-test1.42-dev - components for writing and executing test suites
 libboost-test1.42.0 - components for writing and executing test suites
 libboost-thread1.42-dev - portable C++ multi-threading
 libboost-thread1.42.0 - portable C++ multi-threading
 libboost-wave1.42-dev - C99/C++ preprocessor library
 libboost-wave1.42.0 - C99/C++ preprocessor library
 libboost1.42-all-dev - Boost C++ Libraries development files (ALL)
 libboost1.42-dbg - Boost C++ Libraries with debug symbols
 libboost1.42-dev - Boost C++ Libraries development files
 libboost1.42-doc - Boost.org libraries documentation
Closes: 539350 548270 563108 564860
Changes: 
 boost1.42 (1.42.0-3ubuntu1) maverick; urgency=low
 .
   * Merge from Debian Unstable (based on boost1.40).  Ubuntu changes:
     - Detect gcc atomic intrinsics, needed for arm spinlock (LP: 513721)
     - Drop libboost-mpi, libboost-mip-python, and libboost-graph-parallel (and
       related -dev packages): nothing uses thess, and we don't want to pull all
       of the mpi packages into main.
     - Adjust debian/rules and debian/control
 .
 boost1.42 (1.42.0-3) unstable; urgency=low
 .
   * rules: Add test_exec_monitor.  Closes: #539350.  (Previous upload was
     broken.)
 .
 boost1.42 (1.42.0-2) unstable; urgency=low
 .
   * rules: Add test_exec_monitor.  Closes: #539350.
 .
 boost1.42 (1.42.0-1) unstable; urgency=low
 .
   * New upstream.
     - documentation-files: Update.
 .
   * patches/boost-test-invalid-read.patch: Remove.  Alternate fix applied
     upstream.
 .
   * patches/boost/iostreams/device/mapped_file-header-guard.patch:
   * patches/boost-graph-printf.patch: Remove.  Applied upstream.
 .
 boost1.41 (1.41.0-3) unstable; urgency=low
 .
   * patches/date_time_date_formatting_hpp.patch: Change
     std::locale::locale() to std::locale().  Closes: #564860.
 .
 boost1.41 (1.41.0-2) unstable; urgency=low
 .
   * patches/boost-graph-printf.patch: New.  Include stdio.h, to define
     fprintf() and stderr.
 .
   * patches/kfreebsd-thread.patch: New (thanks, Petr Salinger).  Fix
     checks for __GLIBC__ source so that it builds on GNU/kFreeBSD.
 .
 boost1.41 (1.41.0-1) unstable; urgency=low
 .
   * New upstream.  Closes: #563108.
 .
   * patches/boost-build-pythonid.patch:
   * rules: Switch --pythonid to --xpythonid;
     c.f. https://svn.boost.org/trac/boost/ticket/3814
 .
   * Merge changes from 1.40.0-5:
     - Switch to source format "3.0 (quilt)".
     - Remove hard-coding of python versions.
 .
   * rules: Provide a constant reference to latest documentation.
     Closes: #548270.
 .
   * control: Package libboost-mpi-python1.41 conflicts with
     libboost-mpi-python1.40, since both provide
     /usr/lib/pyshared/python2.5/boost/mpi.so.
 .
   * patches/mapped_file-header-guard.patch: New.  Add missing header guard
     (thanks, Sven Geggus).
Checksums-Sha1: 
 e60df6a0a287568a35121c66a3347e5900be1a1b 2350 boost1.42_1.42.0-3ubuntu1.dsc
 3ce3bb1a1bed504635287017f9e628597b409e7b 33426755 boost1.42_1.42.0.orig.tar.bz2
 f9d629dcef92e89f79fdd9c2e12f2b1dcbdb7f21 87351 boost1.42_1.42.0-3ubuntu1.debian.tar.gz
Checksums-Sha256: 
 14850370ff5a015b51a8a7341951680aa41bd78d4cc6d9b4ab5cef410d98c31a 2350 boost1.42_1.42.0-3ubuntu1.dsc
 4b1eb95bd250ce15ac66435d6167f225b072b0d3a7eb72477a31847a9ca9e609 33426755 boost1.42_1.42.0.orig.tar.bz2
 ad81149594562ef41d207e9ec5407aa7d27354ded5a382bdd16570a1efad6f35 87351 boost1.42_1.42.0-3ubuntu1.debian.tar.gz
Files: 
 e2b48e9026771c28e554496a99f5012d 2350 libs optional boost1.42_1.42.0-3ubuntu1.dsc
 7bf3b4eb841b62ffb0ade2b82218ebe6 33426755 libs optional boost1.42_1.42.0.orig.tar.bz2
 52f0164bf9aab3d526386fa1994e1a7e 87351 libs optional boost1.42_1.42.0-3ubuntu1.debian.tar.gz
Original-Maintainer: Debian Boost Team <pkg-boost-devel at lists.alioth.debian.org>


More information about the Maverick-changes mailing list